/*SYNTAX*/
/*A CSS rule-set consists of a selector and declaration block*/
/*h1 - Selector  (Determines which element will the styling be applied to*/

	
/*Universal Selector*/
/*The "*" is a universal selector and is used to target all elements*/
	* {
		font-family: "Courier New", monospace;
		font-size: 20px;
	  }

	

/*ID Selector*/
/*ID Selector targets element according to its ID attribute ideally*/
	#zuitt-motto {
		letter-spacing: 5px;
	}
	h3	{
		letter-spacing: 25px;
	}

	

/*Type Selector*/
/*h1 - selector (Determines which element will the styling be applied to*/

	h1 {
		/*color: yellow - Declaration block (The styling attribute applied to a given selector, separated by a colon and ends with semi-colon*/
		/*color - property (The selected styling attribute to be modified in a given selector.*/
		/*yellow - value (The modified value of the selected styling attribute*/
		color: yellow;
		text-align: center;
		font-size: 2rem;
		}

h2 {
	font-size: 1.5rem;
}

ol {
	list-style-type: none;
}

section{
	height: 100vh;
	text-align: center;
}

form {
	text-align: center;
	background-color: white;
	border: 2px solid black;
	height: 185px;
	width: 25vw;
	position: relative;
	left: 37.25%;
}

button {
	background-color: #cf0053;
	color: white;
	border: 0;
	border-radius: 15px;
}

/*Class Selector*/
/*Class Selector targets element according to its class attribute, ideally used t for targetting multiple elements at once*/
	.offering-item {

		text-transform: uppercase;
	}


/*Adjacent Sibling Selector*/
/*selector + selector*/
/*"+" separates two selectors and matches the second element, only if it immediately follows the first element and both are children of the same parent element*/

	h3 +img {
		height: 300px;
		width: 300px;
		border-radius: 150px;

	}


/*Descendant Selector*/
/*selector selector*/
#bootcamp-learning-list li{

	color: #075966;
	}


/*General Sibling Selector*/
/*selector ~ selector*/
h2 ~ a, a {
	text-decoration: none;
}

/*Child Selector*/
/*selector>selector*/
body > section > form > label {
	/*rgb min value - 0, max value 255*/
	/*lower - darker, higher - lighter*/
	color: rgb(0, 0, 128);
}

/*Attribute Selector*/
/*Attribute Selector targets element with a specified element attribute*/
/**tagname[attribute]*/
	input[required]
	{
		border-width: 2px;
		border-style: solid;
		border-color: navy;
		width: 90%;
	}

html {
	scroll-behavior: smooth;
}

body{
	background-color: skyblue;
}

/*Navigation Bar*/
nav {
	background-color: white;
}
/*selector:pseudo class*/
/*Changes the sty;e when hovered over*/
a:hover{
	background-color: #b4d6de;
}
div {
	display: inline-block;
	float: right;
}
/*Navigation Bar End*/

/*SPECIFITY RULE*/
/*The following order prioritize styles from highest to lowest priority (according to selector*/
/*
1. ID Selector (Highest)
2. Class Selector 
3. Attribute Selector 
4. Type Selector
5. Universal Selector (Lowest)
*/

/*The following order prioritize styles from highest to lowest priority (according to location*/
/*
1. Inline Styling
2. External Styling
3. Internal Styling
*/

/*CSS Combinators*/
/*
Adjacent Sibling Selector (+)
Descendant Sibling Selector (Whitespace)
General Sibling Selector (~)
Child Selector (>)
*/

/*NOTES*/
/*Type of CSS Selectors*/
/*
Universal selector
Type selector
ID selector
*/